﻿using System.Windows;
using Microsoft.Phone.Controls;
using VeloToulouse.Entites;

namespace VeloToulouse
{
    public partial class StationDetail : PhoneApplicationPage
    {
        public StationDetail()
        {
            InitializeComponent();
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            Station station;
            string stationId = "";
            NavigationContext.QueryString.TryGetValue("id", out stationId);
            if (!string.IsNullOrEmpty(stationId))
            {
                station = StationsService.Current.GetStationById(stationId);
                if (station != null)
                {
                    station.RefreshAsync();
                    ContentGrid.DataContext = station;
                }
            }
        }
    }
}