﻿using System.Windows;
using System.Windows.Controls;
using Microsoft.Phone.Controls;
using VeloToulouse.Entites;

namespace VeloToulouse
{
    public partial class StationDetail : PhoneApplicationPage
    {
        public StationDetail()
        {
            InitializeComponent();
        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            Station station;
            string stationId = "";
            NavigationContext.QueryString.TryGetValue("id", out stationId);
            if (!string.IsNullOrEmpty(stationId))
            {
                station = StationsService.Current.GetStationById(stationId);
                if (station != null)
                {
                    station.RefreshAsync();
                    ContentGrid.DataContext = station;
                }
            }
        }

        private void PhoneApplicationPage_OrientationChanged(object sender, OrientationChangedEventArgs e)
        {
            if((e.Orientation & PageOrientation.Portrait) == PageOrientation.Portrait)
            {
                Grid.SetRow(MapImage,1);
                Grid.SetColumn(MapImage,0);
            }
            else
            {
                Grid.SetRow(MapImage, 0);
                Grid.SetColumn(MapImage, 1);
            }
        }
    }
}